#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include <QSet>
#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    void openImage(const QString& imgPath);

protected:
    virtual void dragEnterEvent(QDragEnterEvent *event);

    virtual void dropEvent(QDropEvent *event);

private slots:
    void on_actionOpen_triggered();

private:
    Ui::MainWindow *ui;

    QSet<QString> _supportList;

};
#endif // MAINWINDOW_H
